Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Expression

    java.lang.Object
      |
      +--org.hsqldb.Expression

class Expression
extends Object

Field Summary
`(package private) final static int` | `ADD`
`(package private) final static int` | `AND`
`(package private) final static int` | `ASTERIX`
`(package private) final static int` | `AVG`
`(package private) final static int` | `BETWEEN`
`(package private) final static int` | `BIGGER`
`(package private) final static int` | `BIGGER_EQUAL`
`(package private) final static int` | `CASEWHEN`
`(package private) final static int` | `CAST`
`(package private) final static int` | `CLOSE`
`(package private) final static int` | `COLUMN`
`(package private) final static int` | `COMMA`
`(package private) final static int` | `CONCAT`
`(package private) final static int` | `CONVERT`
`(package private) final static int` | `COUNT`
`(package private) final static int` | `DIVIDE`
`(package private) final static int` | `END`
`(package private) final static int` | `EQUAL`
`(package private) final static int` | `EXISTS`
`(package private) final static int` | `FUNCTION`
`(package private) final static int` | `IFNULL`
`(package private) final static int` | `IN`
`(package private) final static int` | `LIKE`
`(package private) final static int` | `MAX`
`(package private) final static int` | `MIN`
`(package private) final static int` | `MULTIPLY`
`(package private) final static int` | `NEGATE`
`(package private) final static int` | `NOT`
`(package private) final static int` | `NOT_EQUAL`
`(package private) final static int` | `OPEN`
`(package private) final static int` | `OR`
`(package private) final static int` | `PLUS`
`(package private) final static int` | `QUERY`
`(package private) final static int` | `SELECT`
`(package private) final static int` | `SMALLER`
`(package private) final static int` | `SMALLER_EQUAL`
`(package private) final static int` | `STRINGCONCAT`
`(package private) final static int` | `SUBTRACT`
`(package private) final static int` | `SUM`
`(package private) final static int` | `TRUE`
`(package private) final static int` | `VALUE`
`(package private) final static int` | `VALUELIST`

Constructor Summary
`(package private)` | `Expression(org.hsqldb.Function )`
`(package private)` | `Expression(org.hsqldb.Expression )`
`(package private)` | `Expression(org.hsqldb.Select )`
`(package private)` | `Expression(java.util.Vector )`
`(package private)` | `Expression(int , org.hsqldb.Expression , org.hsqldb.Expression )`
`(package private)` | `Expression(java.lang.String , java.lang.String )`
`(package private)` | `Expression(int , java.lang.Object )`

Method Summary
`(package private) void` | `checkResolved()`
`(package private) java.lang.String` | `getAlias()`
`(package private) org.hsqldb.Expression` | `getArg()`
`(package private) org.hsqldb.Expression` | `getArg2()`
`(package private) java.lang.String` | `getColumnName()`
`(package private) int` | `getColumnNr()`
`(package private) int` | `getDataType()`
`(package private) org.hsqldb.TableFilter` | `getFilter()`
`(package private) java.lang.String` | `getTableName()`
`(package private) int` | `getType()`
`(package private) java.lang.Object` | `getValue(int )`
`(package private) java.lang.Object` | `getValue()`
`(package private) boolean` | `isAggregate()`
`(package private) static boolean` | `isCompare(int )`
`(package private) boolean` | `isDescending()`
`(package private) boolean` | `isResolved()`
`(package private) void` | `resolve(org.hsqldb.TableFilter )`
`(package private) void` | `setAlias(java.lang.String )`
`(package private) void` | `setDataType(int )`
`(package private) void` | `setDescending()`
`(package private) void` | `setLikeEscape(char )`
`(package private) void` | `setTrue()`
`(package private) void` | `swapCondition()`
`(package private) boolean` | `test()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD

    final static int ADD

### AND

    final static int AND

### ASTERIX

    final static int ASTERIX

### AVG

    final static int AVG

### BETWEEN

    final static int BETWEEN

### BIGGER

    final static int BIGGER

### BIGGER_EQUAL

    final static int BIGGER_EQUAL

### CASEWHEN

    final static int CASEWHEN

### CAST

    final static int CAST

### CLOSE

    final static int CLOSE

### COLUMN

    final static int COLUMN

### COMMA

    final static int COMMA

### CONCAT

    final static int CONCAT

### CONVERT

    final static int CONVERT

### COUNT

    final static int COUNT

### DIVIDE

    final static int DIVIDE

### END

    final static int END

### EQUAL

    final static int EQUAL

### EXISTS

    final static int EXISTS

### FUNCTION

    final static int FUNCTION

### IFNULL

    final static int IFNULL

### IN

    final static int IN

### LIKE

    final static int LIKE

### MAX

    final static int MAX

### MIN

    final static int MIN

### MULTIPLY

    final static int MULTIPLY

### NEGATE

    final static int NEGATE

### NOT

    final static int NOT

### NOT_EQUAL

    final static int NOT_EQUAL

### OPEN

    final static int OPEN

### OR

    final static int OR

### PLUS

    final static int PLUS

### QUERY

    final static int QUERY

### SELECT

    final static int SELECT

### SMALLER

    final static int SMALLER

### SMALLER_EQUAL

    final static int SMALLER_EQUAL

### STRINGCONCAT

    final static int STRINGCONCAT

### SUBTRACT

    final static int SUBTRACT

### SUM

    final static int SUM

### TRUE

    final static int TRUE

### VALUE

    final static int VALUE

### VALUELIST

    final static int VALUELIST

Constructor Detail

### Expression

    Expression(org.hsqldb.Function )

### Expression

    Expression(org.hsqldb.Expression )

### Expression

    Expression(org.hsqldb.Select )

### Expression

    Expression(java.util.Vector )

### Expression

    Expression(int , org.hsqldb.Expression , org.hsqldb.Expression )

### Expression

    Expression(java.lang.String , java.lang.String )

### Expression

    Expression(int , java.lang.Object )

Method Detail

### checkResolved

    void checkResolved()

### getAlias

    java.lang.String getAlias()

### getArg

    org.hsqldb.Expression getArg()

### getArg2

    org.hsqldb.Expression getArg2()

### getColumnName

    java.lang.String getColumnName()

### getColumnNr

    int getColumnNr()

### getDataType

    int getDataType()

### getFilter

    org.hsqldb.TableFilter getFilter()

### getTableName

    java.lang.String getTableName()

### getType

    int getType()

### getValue

    java.lang.Object getValue(int )

### getValue

    java.lang.Object getValue()

### isAggregate

    boolean isAggregate()

### isCompare

    static boolean isCompare(int )

### isDescending

    boolean isDescending()

### isResolved

    boolean isResolved()

### resolve

    void resolve(org.hsqldb.TableFilter )

### setAlias

    void setAlias(java.lang.String )

### setDataType

    void setDataType(int )

### setDescending

    void setDescending()

### setLikeEscape

    void setLikeEscape(char )

### setTrue

    void setTrue()

### swapCondition

    void swapCondition()

### test

    boolean test()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD